package main

import (
	"bufio"
	"encoding/json"
	"fmt"
	"os"
)

func main() {

	myMap := make(map[string]string)

	inputReader := bufio.NewReader(os.Stdin)
	fmt.Println("Please enter your name:")
	name, _ := inputReader.ReadString('\n')

	myMap["name"] = name[:len(name)-1]
	fmt.Println("Please enter your address:")
	address, _ := inputReader.ReadString('\n')

	myMap["address"] = address[:len(address)-1]

	barr, _ := json.Marshal(myMap)
	fmt.Println(string(barr))
}
